//
//  BugTableViewController.m
//  ScaryBugs
//
//  Created by Main Account on 2/12/14.
//  Copyright (c) 2014 Razeware LLC. All rights reserved.
//

#import "BugTableViewController.h"
#import "ScaryBug.h"
@interface BugTableViewController ()

@property (strong, nonatomic) NSMutableArray *bugs;
@end

@implementation BugTableViewController

- (void)viewDidLoad
{
  [super viewDidLoad];
  self.bugs = [ScaryBug bugs];
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
  return self.bugs.count;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
  UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"BugCell" forIndexPath:indexPath];
  
  ScaryBug *bug = self.bugs[indexPath.row];
  cell.textLabel.text = bug.name;
  cell.detailTextLabel.text = bug.howScaryString;
  cell.imageView.image = bug.image;
  
  return cell;
}

@end
